App\Library\Amazon\Classes\WirelessAccessories:
    xml_root_name: WirelessAccessories
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\WirelessAccessories\VariationDataAType
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: App\Library\Amazon\Classes\ColorMap
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            xml_list:
                inline: true
                entry_name: AdditionalFeatures
            type: array<string>
        talkTime:
            expose: true
            access_type: public_method
            serialized_name: TalkTime
            accessor:
                getter: getTalkTime
                setter: setTalkTime
            type: App\Library\Amazon\Classes\TimeDimensionType
        standbyTime:
            expose: true
            access_type: public_method
            serialized_name: StandbyTime
            accessor:
                getter: getStandbyTime
                setter: setStandbyTime
            type: App\Library\Amazon\Classes\TimeDimensionType
        chargingTime:
            expose: true
            access_type: public_method
            serialized_name: ChargingTime
            accessor:
                getter: getChargingTime
                setter: setChargingTime
            type: App\Library\Amazon\Classes\TimeDimensionType
        batteryPower:
            expose: true
            access_type: public_method
            serialized_name: BatteryPower
            accessor:
                getter: getBatteryPower
                setter: setBatteryPower
            type: App\Library\Amazon\Classes\BatteryPowerIntegerDimensionType
        solar:
            expose: true
            access_type: public_method
            serialized_name: Solar
            accessor:
                getter: getSolar
                setter: setSolar
            type: boolean
        refillable:
            expose: true
            access_type: public_method
            serialized_name: Refillable
            accessor:
                getter: getRefillable
                setter: setRefillable
            type: boolean
        extended:
            expose: true
            access_type: public_method
            serialized_name: Extended
            accessor:
                getter: getExtended
                setter: setExtended
            type: boolean
        slim:
            expose: true
            access_type: public_method
            serialized_name: Slim
            accessor:
                getter: getSlim
                setter: setSlim
            type: boolean
        auxiliary:
            expose: true
            access_type: public_method
            serialized_name: Auxiliary
            accessor:
                getter: getAuxiliary
                setter: setAuxiliary
            type: boolean
        batteryType:
            expose: true
            access_type: public_method
            serialized_name: BatteryType
            accessor:
                getter: getBatteryType
                setter: setBatteryType
            type: string
        antennaType:
            expose: true
            access_type: public_method
            serialized_name: AntennaType
            accessor:
                getter: getAntennaType
                setter: setAntennaType
            type: string
        compatiblePhoneModels:
            expose: true
            access_type: public_method
            serialized_name: CompatiblePhoneModels
            accessor:
                getter: getCompatiblePhoneModels
                setter: setCompatiblePhoneModels
            xml_list:
                inline: true
                entry_name: CompatiblePhoneModels
            type: array<string>
        manufacturerName:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerName
            accessor:
                getter: getManufacturerName
                setter: setManufacturerName
            type: string
        keywords:
            expose: true
            access_type: public_method
            serialized_name: Keywords
            accessor:
                getter: getKeywords
                setter: setKeywords
            xml_list:
                inline: true
                entry_name: Keywords
            type: array<string>
        itemPackageQuantity:
            expose: true
            access_type: public_method
            serialized_name: ItemPackageQuantity
            accessor:
                getter: getItemPackageQuantity
                setter: setItemPackageQuantity
            type: integer
        headsetType:
            expose: true
            access_type: public_method
            serialized_name: HeadsetType
            accessor:
                getter: getHeadsetType
                setter: setHeadsetType
            type: string
        headsetStyle:
            expose: true
            access_type: public_method
            serialized_name: HeadsetStyle
            accessor:
                getter: getHeadsetStyle
                setter: setHeadsetStyle
            type: string
